# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateArbitraryHighlight Class Reference

An arbitrary highlighting interface for Kate. More...

`#include <katearbitraryhighlight.h>`

Inheritance diagram for KateArbitraryHighlight:

[legend]
Collaboration diagram for KateArbitraryHighlight:

[legend]
List of all members.

## Signals

void | tagLines (KateView *view, KateSuperRange *range)

## Public Member Functions

| KateArbitraryHighlight (KateDocument *parent=0L, const char *name=0L)
void | addHighlightToDocument (KateSuperRangeList *list)
void | addHighlightToView (KateSuperRangeList *list, KateView *view)
KateSuperRangeList & | rangesIncluding (uint line, KateView *view=0L)

## Detailed Description

An arbitrary highlighting interface for Kate.

Ideas for more features:

- integration with syntax highlighting:
  - eg. a signal for when a new context is created, destroyed, changed
  - hopefully make this extension more complimentary to the current syntax highlighting
- signal for cursor movement
- signal for mouse movement
- identical highlight for whole list
- signals for view movement

Definition at line 60 of file katearbitraryhighlight.h.

The documentation for this class was generated from the following files:

- katearbitraryhighlight.h
- katearbitraryhighlight.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:43 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003